Bug 98801 - bad declaration of __u32 in capabilities.h
bad declaration of __u32 in capabilities.h
Product: Red Hat Linux
Classification: Retired
Component: libcap (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Depends On:
  Show dependency treegraph
Reported: 2003-07-08 17:31 EDT by Tom "spot" Callaway
Modified: 2015-03-04 20:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-31 11:58:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2003-07-08 17:31:56 EDT
Description of problem:

bad declaration of __u32 in capabilities.h

This bug has existed for a while, it seems (at least since 2001). Its not fatal,
just noisy.

Basically, in libcap-1.10-userland.patch, it defines:

typedef uint32_t __u32;

but the kernel headers for all arches say:

typedef unsigned int __u32;

The libcap-1.10-userland patch just needs to be changed to match the kernel

pknirsch, you're getting this bug since ethereal depends on libcap, and I don't
think bero is going to fix this one. ;)
Comment 1 Phil Knirsch 2004-08-31 11:58:48 EDT
Fixed in latest libcap for Fedora Core.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.